FreeMat

- Main Page
- Related Pages

CONJ Conjugate Function

Section: Elementary Functions

# Usage

Returns the complex conjugate of the input array for all elements. The general syntax for its use is

       y = conj(x)

where `x` is an `n`-dimensional array of numerical type. The output is the same numerical type as the input. The `conj` function does nothing to real and integer types.

# Example

The following demonstrates the complex conjugate applied to a complex scalar.

    --> conj(3+4*i)

    ans =
       3.0000 -  4.0000i

The `conj` function has no effect on real arguments:

    --> conj([2,3,4])

    ans =
     2 3 4

For a double-precision complex array,

    --> conj([2.0+3.0*i,i])

    ans =
       2.0000 -  3.0000i   0.0000 -  1.0000i